//AboutBox.cpp

#include "wx\wxprec.h"

#ifndef WX_PRECOMP
#include "wx\wx.h"
#endif

#include "AboutBox.h"

AboutBox::AboutBox(wxWindow* parent,
				   wxWindowID id):
wxDialog(parent,
		 id,
		 wxString("About VSTGUI Builder"),
		 wxPoint(0, 0),
		 wxSize(384, 208))
{
	wxBitmap bmp(wxBITMAP(ABOUT_PIC));
	wxFont tempfont(8, wxDEFAULT, wxNORMAL, wxBOLD);

	wxStaticBitmap *Logo = new wxStaticBitmap(this, -1, bmp, wxPoint(10, 10));
	wxStaticText *Builder = new wxStaticText(this, -1, wxString("VSTGUI Builder"), wxPoint(216, 20));
	Builder->SetFont(tempfont);
	wxStaticText *Me = new wxStaticText(this, -1, wxString("by Niall Moody"), wxPoint(226, 40));
	wxStaticText *Web = new wxStaticText(this, -1, wxString("http://www.niallmoody.com/programs.htm"), wxPoint(160, 80));
	wxStaticText *Edit = new wxStaticText(this, -1, wxString("Edit the DefaultControls.xml file to\nadd custom controls."), wxPoint(178, 120), wxDefaultSize, wxALIGN_CENTRE);

	wxButton *OK = new wxButton(this, wxID_OK, wxString("OK"), wxPoint(10, 144));

	Centre();
}