//InsertControlDialog.h - Dialog to select a control to insert.

#ifndef INSERTCONTROLDIALOG_H_
#define INSERTCONTROLDIALOG_H_

#ifndef VSTMAINGUIPANEL_H_
#include "VSTMainGUIPanel.h"
#endif

class InsertControlDialog : public wxDialog
{
  public:
	InsertControlDialog(wxWindow* parent,
						wxWindowID id,
						const wxString& title,
						GenericCControlArray *controlarray);

	GenericCControl *GetControl() {return SelectedControl;};

	void OnSelect(wxCommandEvent& event);
  protected:
	wxComboBox *Selection;
	wxButton *OK;
	wxButton *Cancel;

	GenericCControlArray *ControlArray;
	GenericCControl *SelectedControl;

	enum
	{
		SELECTION = wxID_HIGHEST+1,
	};

	DECLARE_EVENT_TABLE();
};

#endif